package com.hfkj.service.merchant;

import com.hfkj.entity.BsMerchantChainBrand;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerchantChainBrandService
 * @author: HuRui
 * @date: 2024/8/14
 **/
public interface BsMerchantChainBrandService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsMerchantChainBrand data);

    /**
     * 创建
     * @param chainBrand
     */
    void create(BsMerchantChainBrand chainBrand) throws Exception;

    /**
     * 修改
     * @param chainBrand
     */
    void update(BsMerchantChainBrand chainBrand);

    /**
     * 查询详情
     * @param id
     */
    BsMerchantChainBrand getDetail(Long id);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<Map<String,Object>> getList(Map<String,Object> param);
}
